package quant.rich.emoney.pojo.dto;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 后台管理分页查询，适配 layui
 * @author Doghole
 *
 * @param <T>
 */
@Accessors(chain = true)
@Data
@EqualsAndHashCode(callSuper=false)
public class LayPageReq<T> extends Page<T> {

    private static final long serialVersionUID = 3471995935637905622L;

    public LayPageReq<T> setPage(Long page) {
        current = page;
        return this;
    }

    public Long getPage() {
        return current;
    }
    
    public LayPageReq<T> setLimit(Long limit) {
        size = limit;
        return this;
    }
    
    public Long getLimit() {
        return size;
    }
    
    Integer start;

    T condition;
}
